-- name: [CS] The Batter
-- description: Adds the Batter from the game OFF.
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_BATTER_MODEL = smlua_model_util_get_id("batter_geo")

local TEXT_MOD_NAME = "The Batter"

local VOICETABLE_BATTER = {
    [CHAR_SOUND_ATTACKED] = 'hurt.ogg',
    [CHAR_SOUND_DROWNING] = 'death.ogg',
	[CHAR_SOUND_DOH] = 'hurt.ogg',
	[CHAR_SOUND_OOOF] = 'hurt.ogg',
    [CHAR_SOUND_DYING] = 'death.ogg',
    [CHAR_SOUND_ON_FIRE] = 'hurt.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'attack.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'attack.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'attack.ogg',
	[CHAR_SOUND_GROUND_POUND_WAH] = 'attack.ogg',
}

if _G.charSelectExists then
    _G.charSelect.character_add("The Batter", {"Suffer my judgement."}, "eldritchmeat", {r = 214, g = 84, b = 26}, E_MODEL_BATTER_MODEL, CT_MARIO, get_texture_info("batter"))

    _G.charSelect.character_add_voice(E_MODEL_BATTER_MODEL, VOICETABLE_BATTER)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BATTER then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BATTER then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#a32317\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end